Get Invoice by ID

Prev Next
Get
/v1/invoices/{invoiceId}

Read a specific invoice by ID.

Security
HTTP
Type basic

HTTP Basic Authentication using your WACM username and API key.

For detailed authentication instructions, see the Authentication Guide.

Path parameters
invoiceId
integerRequired

Invoice ID

Responses
200

Successfully retrieved invoice

{
  "success": "True",
  "data": {
    "id": "98765",
    "subInvoiceId": "112233",
    "subAccountId": "54321",
    "subAccountName": "Sample Sub-Account",
    "subAccountEmail": "subaccount@example.com",
    "channelAccountId": "7890",
    "channelAccountName": "Sample Channel Account",
    "channelAccountEmail": "channel@example.com",
    "controlAccountId": "13337",
    "controlAccountName": "Sample Control Account",
    "controlAccountEmail": "control@example.com",
    "governanceAccountId": "3214",
    "governanceAccountName": "Sample Governance",
    "controlInvoiceId": "445566",
    "periodStart": "2024-01-01",
    "periodEnd": "2024-01-31",
    "totalStorage": "2026-05-25T00:00:00Z",
    "activeStorage": "4.00",
    "activeStorageUnitCost": "5.99",
    "activeStorageTotalCost": "23.96",
    "deletedStorage": "2026-01-25T00:00:00Z",
    "deletedStorageUnitCost": "5.99",
    "deletedStorageTotalCost": "7.49",
    "apiCalls": "150000.00",
    "apiCallsUnitCost": "0.01",
    "apiCallsTotalCost": "1500.00",
    "ingress": "10.50",
    "ingressUnitCost": "0.00",
    "ingressTotalCost": "0.00",
    "egress": "25.75",
    "egressUnitCost": "0.04",
    "egressTotalCost": "2026-01-03T00:00:00Z",
    "minimumActiveStorage": "1.00",
    "minimumActiveStorageUnitCost": "5.99",
    "minimumActiveStorageTotalCost": "5.99",
    "wasabiAccountNumber": "100123456"
  }
}
Expand All
object
success
boolean
data
object (InvoiceResponse)
id
integer
subInvoiceId
integer (int64)
subAccountId
integer
subAccountName
string
subAccountEmail
string
channelAccountId
integer
channelAccountName
string
channelAccountEmail
string
controlAccountId
integer
controlAccountName
string
controlAccountEmail
string
governanceAccountId
integer
governanceAccountName
string
controlInvoiceId
integer (int64)
periodStart
string (date)
periodEnd
string (date)
totalStorage
number
activeStorage
number
activeStorageUnitCost
number
activeStorageTotalCost
number
deletedStorage
number
deletedStorageUnitCost
number
deletedStorageTotalCost
number
apiCalls
number
apiCallsUnitCost
number
apiCallsTotalCost
number
ingress
number
ingressUnitCost
number
ingressTotalCost
number
egress
number
egressUnitCost
number
egressTotalCost
number
minimumActiveStorage
number
minimumActiveStorageUnitCost
number
minimumActiveStorageTotalCost
number
wasabiAccountNumber
integer (int64)